Imports System.Data
Imports System.Data.SqlClient
Public Class GetRowCount
    Inherits System.ComponentModel.Component

    Public Function GetRowCount() As Integer
        Try
            Dim connString As String
            'Remeber in Chapter 11, the discussion on
            'String.Intern? If it already exists and 
            'has the same value, it's memory location
            'will be used instead of creating a new
            'instance.
            connString = "server=(local);database=Novelty;TRUSTED_CONNECTION=Yes"
            Dim conn As New SqlConnection(connString)
            Dim cmd As New SqlCommand("select count(*) from tblCustomer", conn)
            conn.Open()
            Dim dReader As SqlDataReader = cmd.ExecuteReader(CommandBehavior.CloseConnection)

            While dReader.Read
                'Get what should be the first and
                'only row in our result set
                GetRowCount = dReader.GetValue(0)
            End While

            dReader.Close()
            conn.Close()
        Catch
            System.Console.WriteLine("An error has occured " & Err.Description)
        End Try
    End Function

#Region " Component Designer generated code "

    Public Sub New(ByVal Container As System.ComponentModel.IContainer)
        MyClass.New()

        'Required for Windows.Forms Class Composition Designer support
        Container.Add(Me)
    End Sub

    Public Sub New()
        MyBase.New()

        'This call is required by the Component Designer.
        InitializeComponent()

        'Add any initialization after the InitializeComponent() call

    End Sub

    'Component overrides dispose to clean up the component list.
    Protected Overloads Overrides Sub Dispose(ByVal disposing As Boolean)
        If disposing Then
            If Not (components Is Nothing) Then
                components.Dispose()
            End If
        End If
        MyBase.Dispose(disposing)
    End Sub

    'Required by the Component Designer
    Private components As System.ComponentModel.IContainer

    'NOTE: The following procedure is required by the Component Designer
    'It can be modified using the Component Designer.
    'Do not modify it using the code editor.
    <System.Diagnostics.DebuggerStepThrough()> Private Sub InitializeComponent()
        components = New System.ComponentModel.Container()
    End Sub

#End Region

End Class
